Subject: No debugging symbols available in Debug mode.
Description

When generating builds via CMake in Debug mode on Linux there are no debugging symbols in the bins or libs.

History
#1 - 05/03/2012 10:54 pm - kervala

I'll check that tomorrow, we have to keep symbols in Release mode in some cases (debian packaging for example) and always in Debug. I suspect I
changed default behavior in one of last changes.

#2 - 05/04/2012 12:55 am - sfb

kervala wrote:

I'll check that tomorrow, we have to keep symbols in Release mode in some cases (debian packaging for example) and always in Debug. I
suspect I changed default behavior in one of last changes.

You did, in nel.cmake you added:
IF(WITH_SYMBOLS)
  SET(NL_RELEASE_CFLAGS "${NL_RELEASE_CFLAGS} -g" 
ELSE(WITH_SYMBOLS)
...

The notable exclusion there is NL_DEBUG_CFLAGS. I added it locally and kicked off a clean rebuild but that takes time and I had to go home for the
day. I'll take a look later tonight to verify that is all it was.

#3 - 05/04/2012 09:51 am - kervala

Yes, you're right, I forgot to readd -g for NL_DEBUG_CFLAGS :) Well done !

WITH_SYMBOLS is to force symbols even in Release mode, the problem before that when using /Zi and /DEBUG under Windows is that client had a
lot of debug information and was bigger. Now there should be no debug symbols in Release mode be default.

Release -> stripped under all platforms (no symbol)
Debug -> not stripped under all platforms (all symbols)

-DWITH_SYMBOLS=ON -> all symbols under all platforms and configurations

#4 - 06/14/2012 03:12 pm - sfb
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0db09330db75.
